package eu.eudat.models.data.listingmodels;

import eu.eudat.data.entities.UserDMP;
import eu.eudat.data.entities.UserInfo;
import eu.eudat.models.DataModel;

import java.util.UUID;

public class UserInfoListingModel implements DataModel<UserDMP, UserInfoListingModel> {

    private UUID id;
    private String name;
    private Integer role;

    public UUID getId() {
        return id;
    }
    public void setId(UUID id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public Integer getRole() {
        return role;
    }
    public void setRole(Integer role) {
        this.role = role;
    }

    @Override
    public UserInfoListingModel fromDataModel(UserDMP entity) {
        this.id = entity.getUser().getId();
        this.name = entity.getUser().getName();
        this.role = entity.getRole();
        return this;
    }

    @Override
    public UserDMP toDataModel() throws Exception {
        return null;
    }

    @Override
    public String getHint() {
        return "UserInfoListingModel";
    }
}
